Bug 167103 - CAN-2005-2728 byterange memory DoS
Summary: CAN-2005-2728 byterange memory DoS
Status: CLOSED DUPLICATE of bug 167102
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: httpd (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard: impact=moderate,public=20040707,sourc...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-30 11:47 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-31 14:45:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2005-08-30 11:47:08 UTC
+++ This bug was initially created as a clone of Bug #167102 +++

A flaw was found in Apache 2.0 where the byterange filter would buffer responses
into memory.  This could cause a Denial of Service through memory leak if a
remote attacker sends carefully crafted requests to a web server that has a CGI
script which usually would give a large response.

Comment 2 Joe Orton 2005-08-30 12:23:40 UTC
Note that this also affects any dynamic response generator such as PHP.


Comment 3 Mark J. Cox 2005-08-31 14:45:27 UTC
Will be async, marking as dupe of RHEL4 bug

*** This bug has been marked as a duplicate of 167102 ***


Note You need to log in before you can comment on or make changes to this bug.